<?xml version='1.0' encoding='ISO-8859-1' standalone='yes' ?>
<tagfile>
  <compound kind="page">
    <name>main</name>
    <title>Globus FTP Client API</title>
    <filename>main</filename>
    <docanchor file="main">globus_ftp_client_api</docanchor>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_client_restart_extended_block_t</name>
    <filename>structglobus__ftp__client__restart__extended__block__t.html</filename>
  </compound>
  <compound kind="union">
    <name>globus_ftp_client_restart_marker_t</name>
    <filename>unionglobus__ftp__client__restart__marker__t.html</filename>
  </compound>
  <compound kind="struct">
    <name>globus_ftp_client_restart_stream_t</name>
    <filename>structglobus__ftp__client__restart__stream__t.html</filename>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_activation</name>
    <title>Activation</title>
    <filename>group__globus__ftp__client__activation.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_MODULE</name>
      <anchorfile>group__globus__ftp__client__activation.html</anchorfile>
      <anchor>gd172ca6eca59e1a556b0c164772569f6</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_restart_marker</name>
    <title>Restart Markers</title>
    <filename>group__globus__ftp__client__restart__marker.html</filename>
    <class kind="union">globus_ftp_client_restart_marker_t</class>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_init</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>g8c9319976488ca3d8a279ea432bba208</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_copy</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>gb6883d600723c7b180fd3374ad1d881d</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *new_marker, globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_destroy</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>g0dd0b0f8fb7fb85a8ba430ed712ecd7d</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_insert_range</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>gf8dd7900b765d41fa906d2518e293de8</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t offset, globus_off_t end_offset)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_set_ascii_offset</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>gb6bb8b657122b7e1e400eceb9331ee09</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t offset, globus_off_t ascii_offset)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_set_offset</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>g61998472b7849aabc9d3a2deaa2cc7e4</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t offset)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_get_total</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>gd0ab79e288e542d8798830658bcc5982</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, globus_off_t *total_bytes)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_to_string</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>g5c43f0a36880f1aa44260b4295d767e3</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, char **marker_string)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_from_string</name>
      <anchorfile>group__globus__ftp__client__restart__marker.html</anchorfile>
      <anchor>g40a62b5d88614c0bf63e2a46e4a4cd58</anchor>
      <arglist>(globus_ftp_client_restart_marker_t *marker, const char *marker_string)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_handle</name>
    <title>Handle Management</title>
    <filename>group__globus__ftp__client__handle.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_init</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>g0f91ab0d7cc9ddd19858b84816dd45c4</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_ftp_client_handleattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_destroy</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>g11b355ca882aa27f91ac54ae6b3fd03a</anchor>
      <arglist>(globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_cache_url_state</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>gc14279a575616736827e93ab38925ca3</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_flush_url_state</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>g10bed24f4180f92a6e050026802151a0</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_set_user_pointer</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>gcae37c6d340ed8e3be3e6f7fd6fdbf01</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, void *user_pointer)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_get_user_pointer</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>g08bcd4bb36cacc7a96216bd46df66720</anchor>
      <arglist>(const globus_ftp_client_handle_t *handle, void **user_pointer)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_add_plugin</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>ga1ff8ba02c0a139e9f0b834cae382f6e</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handle_remove_plugin</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>gea84db67962aecaaf16ab928f7e9de01</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_i_ftp_client_handle_t *</type>
      <name>globus_ftp_client_handle_t</name>
      <anchorfile>group__globus__ftp__client__handle.html</anchorfile>
      <anchor>gc403f5c4d4b3e8e5b1dc38efd9bc52a5</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_handleattr</name>
    <title>Handle Attributes</title>
    <filename>group__globus__ftp__client__handleattr.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_init</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>g79e5061fb0395b3b1ebbdfb982332096</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_destroy</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>g217e345f2623e858195c5adf4f1fff75</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_copy</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>g8487f3f0329049807cf00e5903731eae</anchor>
      <arglist>(globus_ftp_client_handleattr_t *dest, globus_ftp_client_handleattr_t *src)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_cache_all</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>g240800910eef0c09693aa7bfc41e3a0b</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_bool_t cache_all)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_cache_all</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>g39f10f13a9257aaabf834aaa15926008</anchor>
      <arglist>(const globus_ftp_client_handleattr_t *attr, globus_bool_t *cache_all)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_rfc1738_url</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>gc34317bedac82ac22a214fac181f383a</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_bool_t rfc1738_url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_rfc1738_url</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>gc36ed05a33b328562f8e3ba55d33592e</anchor>
      <arglist>(const globus_ftp_client_handleattr_t *attr, globus_bool_t *rfc1738_url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_clientinfo</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>gd9f5842cacbfeb189fa2f6448db88035</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, const char *app_name, const char *app_version, const char *other)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_clientinfo</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>g2905582e537867767befb8b75349d7de</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, char **app_name, char **app_version, char **other)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_gridftp2</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>g88a89bfb1caad5fdd8e57b5fcb1aa5e8</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_bool_t gridftp2)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_gridftp2</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>gf66a5599afb107826633a84fc8eba29f</anchor>
      <arglist>(const globus_ftp_client_handleattr_t *attr, globus_bool_t *gridftp2)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_pipeline</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>gb59be814f018a947d93843a9142bf648</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_size_t outstanding_commands, globus_ftp_client_pipeline_callback_t pipeline_callback, void *pipeline_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_get_pipeline</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>g46ee992cdffe4fcb83b77a765677744b</anchor>
      <arglist>(const globus_ftp_client_handleattr_t *attr, globus_size_t *outstanding_commands, globus_ftp_client_pipeline_callback_t *pipeline_callback, void **pipeline_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_add_cached_url</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>g9001651e13b832335494c01e1ccea061</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, const char *url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_remove_cached_url</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>g58ca9662af54e3753a8b7c301244eca9</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, const char *url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_netlogger</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>gbd832e70545752ef0c8172c2a1bf7de4</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_netlogger_handle_t *nl_handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_set_netlogger_ftp_io</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>g5c2b9208ce8797404d2fe4610869d202</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_netlogger_handle_t *nl_handle, globus_bool_t ftp, globus_bool_t io)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_add_plugin</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>g6e492244be10d9a673151d9c7650069a</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_handleattr_remove_plugin</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>ge2e9da4f0d09eca762092367518b29bc</anchor>
      <arglist>(globus_ftp_client_handleattr_t *attr, globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_i_ftp_client_handleattr_t *</type>
      <name>globus_ftp_client_handleattr_t</name>
      <anchorfile>group__globus__ftp__client__handleattr.html</anchorfile>
      <anchor>g19bc90a353372ef7eae0df7e0d9b25aa</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_operations</name>
    <title>FTP Operations</title>
    <filename>group__globus__ftp__client__operations.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_exists</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g8bf83bc20109832ade69487b75349fe0</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_features_init</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g4052aebe5877eb4cb8ee0068197ad773</anchor>
      <arglist>(globus_ftp_client_features_t *u_features)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_features_destroy</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g2cf4cba4e402e703fb6ce6ce57c90003</anchor>
      <arglist>(globus_ftp_client_features_t *u_features)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_feat</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g8f074b5c9f0d6c066a0572d37dd48ba0</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_features_t *u_features, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_is_feature_supported</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g2514a658eb6853f961ae71538895fdea</anchor>
      <arglist>(const globus_ftp_client_features_t *u_features, globus_ftp_client_tristate_t *answer, globus_ftp_client_probed_feature_t feature)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_mkdir</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g8527f52f06006e74d483906fad8bc302</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_rmdir</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gb2420676634ebbcf5600d124f23c9454</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_delete</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga857b4445ddb41777230381aacd1b0b9</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_list</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g0239cf7aa063a7ce72bf73261f3fefaf</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_verbose_list</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gc3aef0c50ffc1935029d1e1de6f338a5</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_stat</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g68f688b35b3977d119f1ab6920dc8bd0</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_byte_t **stat_buffer, globus_size_t *stat_buffer_length, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_mlst</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gca9b0a728b66204799484732a22a8564</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_byte_t **mlst_buffer, globus_size_t *mlst_buffer_length, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_move</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g9f47f2943b97561b1c9f05c49d6e1137</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *source_url, const char *dest_url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_chmod</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga363f4c6d8636e9070a92f0976e5322e</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, int mode, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_get</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g3fcdbf560ea3a9a7f17b4eec15e1de4b</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_partial_get</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g5980df74b7c77b9cc0dc48f26f88692e</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, globus_off_t partial_offset, globus_off_t partial_end_offset, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_extended_get</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gf7a6d081a0f689ed9eec9b2cb8ab9ff3</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, const char *eret_alg_str, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_put</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gb63d9eb25df9c7f4923010f6c816c775</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_partial_put</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g56a0597ebfa9e87fad426292918e0ee9</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, globus_off_t partial_offset, globus_off_t partial_end_offset, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_extended_put</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gf83b0b822b9d97109111b6905017f85a</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart, const char *esto_alg_str, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_third_party_transfer</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g365e93f73d102566fc6768d5035b6ad6</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, globus_ftp_client_operationattr_t *source_attr, const char *dest_url, globus_ftp_client_operationattr_t *dest_attr, globus_ftp_client_restart_marker_t *restart, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_partial_third_party_transfer</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g1decbd82b7b569b50681c714637bfeb4</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, globus_ftp_client_operationattr_t *source_attr, const char *dest_url, globus_ftp_client_operationattr_t *dest_attr, globus_ftp_client_restart_marker_t *restart, globus_off_t partial_offset, globus_off_t partial_end_offset, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_extended_third_party_transfer</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g78515dcfaab14c45b9230aa78b85496d</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, globus_ftp_client_operationattr_t *source_attr, const char *eret_alg_str, const char *dest_url, globus_ftp_client_operationattr_t *dest_attr, const char *esto_alg_str, globus_ftp_client_restart_marker_t *restart, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_modification_time</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g0f659dc974095917d815950a49bd4d8e</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_abstime_t *modification_time, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_size</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga5e3c791b4d0d4360ad7725f5a2215a4</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_off_t *size, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_cksm</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g3b724a9293196391dfbd01be6e88a35c</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, char *cksm, globus_off_t offset, globus_off_t length, const char *algorithm, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_abort</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>gc88a8338959a78cc9f347947697d7dd1</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_complete_callback_t</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g072a2656142d9cf1149da022190c35f5</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_i_ftp_client_features_s *</type>
      <name>globus_ftp_client_features_t</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>ga7f7a3003a4e1d1f7d923e8e63e1504b</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_client_tristate_t</name>
      <anchor>gf715cd721e7849b952a7361595bc1519</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_client_probed_feature_t</name>
      <anchor>g1f299139bb46f3d2bdf03c92d697d71d</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_machine_list</name>
      <anchorfile>group__globus__ftp__client__operations.html</anchorfile>
      <anchor>g93742f7de6d12a8843e9faf8ba859fc2</anchor>
      <arglist>(globus_ftp_client_handle_t *u_handle, const char *url, globus_ftp_client_operationattr_t *attr, globus_ftp_client_complete_callback_t complete_callback, void *callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_operationattr</name>
    <title>FTP Operation Attributes</title>
    <filename>group__globus__ftp__client__operationattr.html</filename>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_storage_module</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gdb35eeb3eb66f104fe3e457762358ee9</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const char *module_name, const char *module_args)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_storage_module</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ge23975272347d16af79634445b5dd154</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, char **module_name, char **module_args)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_net_stack</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g558588f782b73239735cc2c26dc91578</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const char *driver_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_net_stack</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g15f8c823ee4bccb66ba7a80d61bb090b</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, char **driver_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_disk_stack</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g6027a842f70a72abd47ef7b0bbda0992</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const char *driver_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_disk_stack</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g33c8742a6dad0acfbaaf3270176038b8</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, char **driver_list)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_parallelism</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g5bcf0d9163f6a0ffd5d60abdeacd44cd</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_ftp_control_parallelism_t *parallelism)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_parallelism</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g98610bc6e16c71bc84e02079ed9c5b91</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_parallelism_t *parallelism)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_allocate</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g42b7e7111fa346045fcbe0fd5a660566</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_off_t allocated_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_allocate</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g5b0030122a72a6067b632839b61a845f</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_off_t *allocated_size)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_authz_assert</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g9453e8a2edbdff32abfd9a33a4b704b9</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const char *authz_assert, globus_bool_t cache_authz_assert)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_authz_assert</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gb1040982b600a049ee3e1ada7f78bf24</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, char **authz_assert, globus_bool_t *cache_authz_assert)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_striped</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g8f0efe853aa1737c36f0fe7c0495a49f</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_bool_t striped)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_striped</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ge61216b80b67bc5d543732676531a80b</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *striped)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_layout</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gec9b1cbe21a06d8314c488daac72c4a0</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_ftp_control_layout_t *layout)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_layout</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g5aea1ef338470f0807ee8a4db646f67d</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_layout_t *layout)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_tcp_buffer</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ge5dc6c0c98414b7c098d1de5140d3f2d</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_ftp_control_tcpbuffer_t *tcp_buffer)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_tcp_buffer</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g792d793a224c7725b48d53f90517127a</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_tcpbuffer_t *tcp_buffer)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_type</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gd1c5236ecab601f3eef439375b6aa719</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_ftp_control_type_t type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_type</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gab23ac6420129b37cabd051d653f7355</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_type_t *type)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_mode</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g27f9c3f65870f0668f2fd535ebd0b7fe</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_ftp_control_mode_t mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_mode</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g77857f6745e0a50258a2e682e12616be</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_mode_t *mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_list_uses_data_mode</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g9b55f7443887483ed330653d7797bc7e</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t list_uses_data_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_list_uses_data_mode</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g17079b0e3df52bb204dff4a1c70a0a97</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *list_uses_data_mode)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_authorization</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g5c5873dd90a93140da790e862175ac34</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, gss_cred_id_t credential, const char *user, const char *password, const char *account, const char *subject)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_authorization</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g0044031ef63561263cd724cb65ad68b0</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, gss_cred_id_t *credential, char **user, char **password, char **account, char **subject)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_dcau</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gfdf494332ddfee54d8cabf521f796074</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, const globus_ftp_control_dcau_t *dcau)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_dcau</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g8416641cfd4e067c68fabba8a76c344e</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_dcau_t *dcau)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_data_protection</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g5be8aa5eb70e1cbe13674852853d4454</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_ftp_control_protection_t protection)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_data_protection</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g57b8e72c9cc5dccd546e7635ef464367</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_protection_t *protection)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_control_protection</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g3e5de520b88d1764344349dfca8d7187</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_ftp_control_protection_t protection)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_control_protection</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g66ebf940d62bf61e79d7826facca2b00</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_ftp_control_protection_t *protection)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_append</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gaf73801d060f3c8d890cb6fc6279588b</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_bool_t append)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_append</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g9dba5e55687ea848438f4dc6209017a7</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *append)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_allow_ipv6</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>geb36f55fb023889e504279a8778bf1c4</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_bool_t allow_ipv6)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_allow_ipv6</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g7ea235b85794bc5f18650c0298c107da</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *allow_ipv6)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_read_all</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g7122e2a6a6f84a34f85e42a2a790bdbc</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr, globus_bool_t read_all, globus_ftp_client_data_callback_t intermediate_callback, void *intermediate_callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_get_read_all</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gf9c92aa8a2756471e92ddf64dd3544d4</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t *read_all, globus_ftp_client_data_callback_t *intermediate_callback, void **intermediate_callback_arg)</arglist>
    </member>
    <member kind="typedef">
      <type>globus_i_ftp_client_operationattr_t *</type>
      <name>globus_ftp_client_operationattr_t</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>ge1688ba7a4ee03ee8d1d09ba14a16648</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_init</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gb6312143eab63201532bfdb5c186c990</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_destroy</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>g1e3cfab8cfb53cc9756f2f35641b5600</anchor>
      <arglist>(globus_ftp_client_operationattr_t *attr)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_set_delayed_pasv</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gc232cff5c184468b755f8805411a09ae</anchor>
      <arglist>(const globus_ftp_client_operationattr_t *attr, globus_bool_t delayed_pasv)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_operationattr_copy</name>
      <anchorfile>group__globus__ftp__client__operationattr.html</anchorfile>
      <anchor>gce5ff5ffc30e7eb388b68e3587995404</anchor>
      <arglist>(globus_ftp_client_operationattr_t *dst, const globus_ftp_client_operationattr_t *src)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_data</name>
    <title>Reading and Writing Data</title>
    <filename>group__globus__ftp__client__data.html</filename>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_data_callback_t</name>
      <anchorfile>group__globus__ftp__client__data.html</anchorfile>
      <anchor>g7471d0861c37440a9f1b509e862f0fc6</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error, globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_register_read</name>
      <anchorfile>group__globus__ftp__client__data.html</anchorfile>
      <anchor>g898a5b8e1e43e70816fbe206d31e074c</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_byte_t *buffer, globus_size_t buffer_length, globus_ftp_client_data_callback_t callback, void *callback_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_register_write</name>
      <anchorfile>group__globus__ftp__client__data.html</anchorfile>
      <anchor>g57d66ad45838cecb84683701502bdeef</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_byte_t *buffer, globus_size_t buffer_length, globus_off_t offset, globus_bool_t eof, globus_ftp_client_data_callback_t callback, void *callback_arg)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_debug_plugin</name>
    <title>Debugging Plugin</title>
    <filename>group__globus__ftp__client__debug__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_DEBUG_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__debug__plugin.html</anchorfile>
      <anchor>g1d5c3300bcf1e1f705ac6460e4ae9d22</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_debug_plugin_init</name>
      <anchorfile>group__globus__ftp__client__debug__plugin.html</anchorfile>
      <anchor>g1e0c36bc993a1318c52e3a23792e76fe</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, FILE *stream, const char *text)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_debug_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__debug__plugin.html</anchorfile>
      <anchor>g1f49f2b51f4363bf3704c3b911e548a3</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_perf_plugin</name>
    <title>Performance Marker Plugin</title>
    <filename>group__globus__ftp__client__perf__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_PERF_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>g62940f6df366e7f08b9594a268fb2d3c</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_begin_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>g6fc71c28e57defb442e32f25ea214ae8</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_marker_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>g72b7a5da2d673a03560bb4f72445cb53</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, long time_stamp_int, char time_stamp_tength, int stripe_ndx, int num_stripes, globus_off_t nbytes)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_complete_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>gf29bd32d94a852c539491eb90a22e303</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, globus_bool_t success)</arglist>
    </member>
    <member kind="typedef">
      <type>void *(*</type>
      <name>globus_ftp_client_perf_plugin_user_copy_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>g40fb3595f715944c52c37298f94cbd42</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_perf_plugin_user_destroy_cb_t</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>g0cb0b886c4deef173c6c0767e4154d03</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_init</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>gdef9b72e54d4dcb48d885561dbd99297</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_perf_plugin_begin_cb_t begin_cb, globus_ftp_client_perf_plugin_marker_cb_t marker_cb, globus_ftp_client_perf_plugin_complete_cb_t complete_cb, void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_set_copy_destroy</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>g3bf80502eac57f01889bc9aecf547ba0</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_perf_plugin_user_copy_cb_t copy_cb, globus_ftp_client_perf_plugin_user_destroy_cb_t destroy_cb)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>gc6e6a91fb9fd8d7dd7e51483492af1a6</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_perf_plugin_get_user_specific</name>
      <anchorfile>group__globus__ftp__client__perf__plugin.html</anchorfile>
      <anchor>g4585cab862e879795be3ad42812962d7</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, void **user_specific)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_plugins</name>
    <title>Plugins</title>
    <filename>group__globus__ftp__client__plugins.html</filename>
    <subgroup>globus_ftp_client_debug_plugin</subgroup>
    <subgroup>globus_ftp_client_perf_plugin</subgroup>
    <subgroup>globus_ftp_client_restart_marker_plugin</subgroup>
    <subgroup>globus_ftp_client_restart_plugin</subgroup>
    <subgroup>globus_ftp_client_throughput_nl_plugin</subgroup>
    <subgroup>globus_ftp_client_throughput_plugin</subgroup>
    <member kind="typedef">
      <type>globus_i_ftp_client_plugin_t *</type>
      <name>globus_ftp_client_plugin_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g728f6a53dd7e55c419c25ef054cdf62a</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_ftp_client_plugin_t *(*</type>
      <name>globus_ftp_client_plugin_copy_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g9528bb48ad648c6453f6fd5884dcf30b</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin_template, void *plugin_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_destroy_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gef4f88d8d762a3e4a11c6557a1360d00</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_connect_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g53e6022138fd43ddebd8c45360ca836b</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_authenticate_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g96eb173930f1f6249870dba571c2e1d5</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_control_auth_info_t *auth_info)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_chmod_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g8fea5319450be2c168397d92e03da8b8</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, int mode, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_cksm_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g80b5f0ef60c5d29d01147b08ed67acb9</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, globus_off_t offset, globus_off_t length, const char *algorithm, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_delete_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gf9bef1d9e286abe40c6933a66aeabb64</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_feat_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gf9e10f9eb18d57acede7000399842fe3</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_mkdir_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g6afd23d06f9cef7eac76c929e516c5ae</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_rmdir_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g2d9b460a992ab9a136c8dde18624f80c</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_list_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gfe531483c1305f8fe317ee5ad45fec85</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_verbose_list_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g468128de6647f315a539eaabb745c5ca</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_machine_list_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gfd4c317c7f243c66505741ceb9f70b41</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_mlst_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gbbe77c679c84a50ac8adb84b0ff2bc58</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_stat_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g92fb95232b1775a6bdb04f1639378cca</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_move_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g6f7e9ba9f202a32d7dacf6b793170338</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_get_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g66ed3cc893ac83acd08050c1d2112e43</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_put_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gf792331e5ae1a9b2a2ad99c49fca9a3a</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_third_party_transfer_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ge3b60e8e77ca71a79371d5182a1515a0</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *source_url, const globus_ftp_client_operationattr_t *source_attr, const char *dest_url, const globus_ftp_client_operationattr_t *dest_attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_modification_time_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gb8d355ce9e827b5a86b40021478b9d6b</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_size_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gd554c5178702a7d901df269571a3786d</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_bool_t restart)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_abort_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g5edddc347373ad2478357b17fd2d1531</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_read_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g1f396c3e9eb35782ad9c81b8a95cf4f2</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const globus_byte_t *buffer, globus_size_t buffer_length)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_write_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g81aa3ac63df3fde3ab75039c296dd123</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const globus_byte_t *buffer, globus_size_t buffer_length, globus_off_t offset, globus_bool_t eof)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_data_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g96742de1638aa0f754bec4d7927ce1fc</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, globus_object_t *error, const globus_byte_t *buffer, globus_size_t length, globus_off_t offset, globus_bool_t eof)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_command_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g3aac45d3de251d4e6d8cfc1b123972a0</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, const char *command)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_response_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g5c4b11ae22a607ef8a18ce9a9dac9dc7</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, globus_object_t *error, const globus_ftp_control_response_t *ftp_response)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_fault_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>geae1add3ab0cffcd0d4696732d8eb6b6</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle, const char *url, globus_object_t *error)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_plugin_complete_t</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g4d04b4edf71f00e7d5999497d96cf786</anchor>
      <arglist>)(globus_ftp_client_plugin_t *plugin, void *plugin_specific, globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="enumeration">
      <name>globus_ftp_client_plugin_command_mask_t</name>
      <anchor>g39a408bca36e4b3f317964eae4bfc0cc</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_CONTROL_ESTABLISHMENT</name>
      <anchor>gg39a408bca36e4b3f317964eae4bfc0cc9d1974c12be86a5934a36d8543498159</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_DATA_ESTABLISHMENT</name>
      <anchor>gg39a408bca36e4b3f317964eae4bfc0cc66fdb518bd71b07f7ce6c5514822a127</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_TRANSFER_PARAMETERS</name>
      <anchor>gg39a408bca36e4b3f317964eae4bfc0ccf3fafdc44a266c2bad44d6950a24cea1</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_TRANSFER_MODIFIERS</name>
      <anchor>gg39a408bca36e4b3f317964eae4bfc0cc7a0f805db1fe9a8a663e30608d8c2062</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_FILE_ACTIONS</name>
      <anchor>gg39a408bca36e4b3f317964eae4bfc0cc773af38b8219c491c3ade7dd5545a096</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_INFORMATION</name>
      <anchor>gg39a408bca36e4b3f317964eae4bfc0cc65e24a3b85a087f6a5c443a8a8dd7ba8</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_MISC</name>
      <anchor>gg39a408bca36e4b3f317964eae4bfc0ccd3f330f04b4633fd7cead02ab2df0444</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_BUFFER</name>
      <anchor>gg39a408bca36e4b3f317964eae4bfc0ccf3ce911a8c8186f17cc4b2b623cc6e6e</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumvalue">
      <name>GLOBUS_FTP_CLIENT_CMD_MASK_ALL</name>
      <anchor>gg39a408bca36e4b3f317964eae4bfc0ccf3219de53ab213733bf955d84fcffde8</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_list</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g6e0bd840560a949c4db94c7584de2adc</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_verbose_list</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g281b7a1a769be908de11dd5b45b56326</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_machine_list</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g3f9befe19981d3575dbf4cf0e5088b8a</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_mlst</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gc4b0730fa58a0579e03ba1e7b6f22624</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_stat</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gd55605380ec99c71ed1ac9ab29704e58</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_chmod</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gfc86b0567b92a85a63d2641eb153ec00</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, int mode, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_cksm</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g7d51d798fc66bb17dbec16bd19b6c425</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, globus_off_t offset, globus_off_t length, const char *algorithm, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_delete</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g0e288493b60d3149e68306c4a3fb7241</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_feat</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gcdd66fda8095ca1388693a09264ec58f</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_mkdir</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g943b1e603c7544a0495785c9678ba305</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_rmdir</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gc843931726ff90acab6239f0d4a2608e</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_move</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g18d0e4902322576037a91d628138883b</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_get</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g73dfbdba795ec71b7ca61f353a6ad697</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart_marker, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_put</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g586f2057d5dde61624ebc92fbffc083b</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, globus_ftp_client_restart_marker_t *restart_marker, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_third_party_transfer</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g8fc656c85978181f54add12c0c5d1f37</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *source_url, const globus_ftp_client_operationattr_t *source_attr, const char *dest_url, const globus_ftp_client_operationattr_t *dest_attr, globus_ftp_client_restart_marker_t *restart_marker, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_size</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>ga5930569a7f6075107d62da4fc41cff8</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_modification_time</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g584d11f661556342056b7e59a92f2295</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, const char *url, const globus_ftp_client_operationattr_t *attr, const globus_abstime_t *when)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_restart_get_marker</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g84fe7b78734cf13e480e1646d6d4d8de</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_abort</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>g92d5802c4f8d48cfb9e947f8ffc03351</anchor>
      <arglist>(globus_ftp_client_handle_t *handle)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_add_data_channels</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gb8dd5d1bc02700ac8e9162b0bb64b4a1</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, unsigned int num_channels, unsigned int stripe)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_plugin_remove_data_channels</name>
      <anchorfile>group__globus__ftp__client__plugins.html</anchorfile>
      <anchor>gebb5eda748fbbeec0eb9142960ec712a</anchor>
      <arglist>(globus_ftp_client_handle_t *handle, unsigned int num_channels, unsigned int stripe)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_restart_marker_plugin</name>
    <title>Restart Marker Plugin</title>
    <filename>group__globus__ftp__client__restart__marker__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_RESTART_MARKER_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>g210d12689a40f46b235c1a257c3bb54d</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>globus_bool_t(*</type>
      <name>globus_ftp_client_restart_marker_plugin_begin_cb_t</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>g739c51073f75f0455e2a72ae7e2f68f4</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url, globus_ftp_client_restart_marker_t *user_saved_marker)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_restart_marker_plugin_marker_cb_t</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>g62b7ba47a4b856b0292f07634fba7cb9</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_ftp_client_restart_marker_t *marker)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_restart_marker_plugin_complete_cb_t</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>ge4af3cbda58dc5355280f22ce7f03be0</anchor>
      <arglist>)(void *user_arg, globus_ftp_client_handle_t *handle, globus_object_t *error, const char *error_url)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_plugin_init</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>gf0221252737745997687410aa5e0d4ed</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_restart_marker_plugin_begin_cb_t begin_cb, globus_ftp_client_restart_marker_plugin_marker_cb_t marker_cb, globus_ftp_client_restart_marker_plugin_complete_cb_t complete_cb, void *user_arg)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_marker_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__restart__marker__plugin.html</anchorfile>
      <anchor>ge6731f06e9b14c120eb503635c730a00</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_restart_plugin</name>
    <title>Restart Plugin</title>
    <filename>group__globus__ftp__client__restart__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_RESTART_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__restart__plugin.html</anchorfile>
      <anchor>gc2c69b436d6fb4274694edd57dcd1777</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_plugin_init</name>
      <anchorfile>group__globus__ftp__client__restart__plugin.html</anchorfile>
      <anchor>g41edc8c5e1d2ed89a4f3bd0fd2a9bfb4</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, int max_retries, globus_reltime_t *interval, globus_abstime_t *deadline)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_restart_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__restart__plugin.html</anchorfile>
      <anchor>ga57484b91120d31670a20909a8564b1e</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_throughput_nl_plugin</name>
    <title>Netlogger Throughput Plugin</title>
    <filename>group__globus__ftp__client__throughput__nl__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_THROUGHPUT_NL_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>gffaaa9f93f1198b7d6623267363c526a</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_init</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>g0ce4c24ddd6eb221e17ad8909d212a4f</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, const char *nl_url, const char *prog_name, const char *opaque_string)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_init_with_handle</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>g53b0b4cf50a3e7cdee33bdbf121aa74b</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, NLhandle *nl_handle, const char *opaque_string)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>ga0c1557f6243af6737141da785ca4657</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_nl_plugin_set_callbacks</name>
      <anchorfile>group__globus__ftp__client__throughput__nl__plugin.html</anchorfile>
      <anchor>g177ffa5810311a039cafbad1ce485c4c</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_begin_cb_t begin_cb, globus_ftp_client_throughput_plugin_stripe_cb_t per_stripe_cb, globus_ftp_client_throughput_plugin_total_cb_t total_cb, globus_ftp_client_throughput_plugin_complete_cb_t complete_cb, void *user_specific)</arglist>
    </member>
  </compound>
  <compound kind="group">
    <name>globus_ftp_client_throughput_plugin</name>
    <title>Throughput Performance Plugin</title>
    <filename>group__globus__ftp__client__throughput__plugin.html</filename>
    <member kind="define">
      <type>#define</type>
      <name>GLOBUS_FTP_CLIENT_THROUGHPUT_PLUGIN_MODULE</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>g03f5513986b9401c7c20effbf9eaf555</anchor>
      <arglist></arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_begin_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>g8addec974cac302f7687b5e253938e49</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, const char *source_url, const char *dest_url)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_stripe_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>g5b60853ff605476b974ab8fa1ffdc7f3</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, int stripe_ndx, globus_off_t bytes, float instantaneous_throughput, float avg_throughput)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_total_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>g5ca129755256ea549ba6ad3728bfc03f</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, globus_off_t bytes, float instantaneous_throughput, float avg_throughput)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_complete_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>g96a8f880bd4585aaba9e9a7261d952c4</anchor>
      <arglist>)(void *user_specific, globus_ftp_client_handle_t *handle, globus_bool_t success)</arglist>
    </member>
    <member kind="typedef">
      <type>void *(*</type>
      <name>globus_ftp_client_throughput_plugin_user_copy_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>g93fa6a6d3a2191eeb3da3dffb2ab5017</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="typedef">
      <type>void(*</type>
      <name>globus_ftp_client_throughput_plugin_user_destroy_cb_t</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>g630cb8371c3fdaaa0cab2d07ffb35d87</anchor>
      <arglist>)(void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_init</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>g6317a88dc1ecbc3ddb1cebb8b7745d28</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_begin_cb_t begin_cb, globus_ftp_client_throughput_plugin_stripe_cb_t per_stripe_cb, globus_ftp_client_throughput_plugin_total_cb_t total_cb, globus_ftp_client_throughput_plugin_complete_cb_t complete_cb, void *user_specific)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_set_copy_destroy</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>g8ff849f27d46366d99ca7d3fe46e7c1e</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, globus_ftp_client_throughput_plugin_user_copy_cb_t copy_cb, globus_ftp_client_throughput_plugin_user_destroy_cb_t destroy_cb)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_destroy</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>gb08c066a46880dd9862054e8a1a3e0f4</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin)</arglist>
    </member>
    <member kind="function">
      <type>globus_result_t</type>
      <name>globus_ftp_client_throughput_plugin_get_user_specific</name>
      <anchorfile>group__globus__ftp__client__throughput__plugin.html</anchorfile>
      <anchor>gd6d74fda3e92ace703cb07c2f8ed5df7</anchor>
      <arglist>(globus_ftp_client_plugin_t *plugin, void **user_specific)</arglist>
    </member>
  </compound>
</tagfile>
